LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::sdbc::FetchDirection Constant Group Referencepublished

indicates in which direction a result set should fetch next, just for optimization. More...

## Variables
const long | FORWARD = 1000
| The rows in a result set will be processed in a forward direction; first-to-last. More...
const long | REVERSE = 1001
| The rows in a result set will be processed in a reverse direction; last-to-first. More...
const long | UNKNOWN = 1002
| The order in which rows in a result set will be processed is unknown: More...

## Detailed Description

indicates in which direction a result set should fetch next, just for optimization.

## Variable Documentation

## ◆ FORWARD

const long FORWARD = 1000

The rows in a result set will be processed in a forward direction; first-to-last.

## ◆ REVERSE

const long REVERSE = 1001

The rows in a result set will be processed in a reverse direction; last-to-first.

## ◆ UNKNOWN

const long UNKNOWN = 1002

The order in which rows in a result set will be processed is unknown: